Package org.drinkless.tdlib

# Class TdApi.ViewMessages

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.ViewMessages

Enclosing class:
  `TdApi`

public static class TdApi.ViewMessages extends TdApi.Function<TdApi.Ok>
Informs TDLib that messages are being viewed by the user. Sponsored messages must be marked as viewed only when the entire text of the message is shown on the screen (excluding the button). Many useful activities depend on whether the messages are currently being viewed or not (e.g., marking messages as read, incrementing a view counter, updating a view counter, removing deleted messages in supergroups and channels).

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `forceRead`
  Pass true to mark as read the specified messages even if the chat is closed.
  `long[]`
  `messageIds`
  The identifiers of the messages being viewed.
  `TdApi.MessageSource`
  `source`
  Source of the message view; pass null to guess the source based on chat open state.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ViewMessages()`
  Default constructor for a function, which informs TDLib that messages are being viewed by the user.
  `ViewMessages(long chatId, long[] messageIds, TdApi.MessageSource source, boolean forceRead)`
  Creates a function, which informs TDLib that messages are being viewed by the user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### messageIds

    public long[] messageIds
    The identifiers of the messages being viewed.

  - ### source

    public TdApi.MessageSource source
    Source of the message view; pass null to guess the source based on chat open state.

  - ### forceRead

    public boolean forceRead
    Pass true to mark as read the specified messages even if the chat is closed.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ViewMessages

    public ViewMessages()
    Default constructor for a function, which informs TDLib that messages are being viewed by the user. Sponsored messages must be marked as viewed only when the entire text of the message is shown on the screen (excluding the button). Many useful activities depend on whether the messages are currently being viewed or not (e.g., marking messages as read, incrementing a view counter, updating a view counter, removing deleted messages in supergroups and channels).

    Returns `Ok`

  - ### ViewMessages

    public ViewMessages(long chatId, long[] messageIds, TdApi.MessageSource source, boolean forceRead)
    Creates a function, which informs TDLib that messages are being viewed by the user. Sponsored messages must be marked as viewed only when the entire text of the message is shown on the screen (excluding the button). Many useful activities depend on whether the messages are currently being viewed or not (e.g., marking messages as read, incrementing a view counter, updating a view counter, removing deleted messages in supergroups and channels).

    Returns `Ok`

    Parameters:
      `chatId` - Chat identifier.
      `messageIds` - The identifiers of the messages being viewed.
      `source` - Source of the message view; pass null to guess the source based on chat open state.
      `forceRead` - Pass true to mark as read the specified messages even if the chat is closed.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR